import { Crypto, LDLogger } from '@launchdarkly/js-sdk-common';
import { LDBigSegmentsOptions } from './api';
import { BigSegmentStore, BigSegmentStoreMembership } from './api/interfaces';
import BigSegmentStoreStatusProviderImpl from './BigSegmentStatusProviderImpl';
export default class BigSegmentsManager {
    private _store;
    private readonly _logger;
    private readonly _crypto;
    private _cache;
    private _pollHandle;
    private _staleTimeMs;
    readonly statusProvider: BigSegmentStoreStatusProviderImpl;
    constructor(_store: BigSegmentStore | undefined, config: Omit<LDBigSegmentsOptions, 'store'>, _logger: LDLogger | undefined, _crypto: Crypto);
    close(): void;
    getUserMembership(userKey: string): Promise<[BigSegmentStoreMembership | null, string] | undefined>;
    private _pollStoreAndUpdateStatus;
    private _hashForUserKey;
    private _isStale;
}
//# sourceMappingURL=BigSegmentsManager.d.ts.map