import { ClientContext, EventName, internal, LDHeaders, ProcessStreamResponse, StreamingErrorHandler, subsystem } from '@launchdarkly/js-sdk-common';
export default class StreamingProcessor implements subsystem.LDStreamProcessor {
    private readonly _listeners;
    private readonly _diagnosticsManager?;
    private readonly _errorHandler?;
    private readonly _streamInitialReconnectDelay;
    private readonly _headers;
    private readonly _streamUri;
    private readonly _logger?;
    private _eventSource?;
    private _requests;
    private _connectionAttemptStartTime?;
    private _initHeaders?;
    constructor(clientContext: ClientContext, streamUriPath: string, parameters: {
        key: string;
        value: string;
    }[], _listeners: Map<EventName, ProcessStreamResponse>, baseHeaders: LDHeaders, _diagnosticsManager?: internal.DiagnosticsManager | undefined, _errorHandler?: StreamingErrorHandler | undefined, _streamInitialReconnectDelay?: number);
    private _logConnectionStarted;
    private _logConnectionResult;
    /**
     * This is a wrapper around the passed errorHandler which adds additional
     * diagnostics and logging logic.
     *
     * @param err The error to be logged and handled.
     * @return boolean whether to retry the connection.
     *
     * @private
     */
    private _retryAndHandleError;
    start(): void;
    stop(): void;
    close(): void;
}
//# sourceMappingURL=StreamingProcessor.d.ts.map