import { LDClientContext, LDLogger, subsystem, VoidFunction } from '@launchdarkly/js-sdk-common';
import { FileDataSourceOptions } from '../api/integrations';
import { LDFeatureStore } from '../api/subsystems';
import { FileDataSourceErrorHandler } from '../data_sources/FileDataSource';
/**
 * Components of the SDK runtime configuration which are required
 * by the FileDataSource.
 */
export interface FileDataSourceFactoryConfig {
    featureStore: LDFeatureStore;
    logger?: LDLogger;
}
/**
 * Class for creating file data sources.
 */
export default class FileDataSourceFactory {
    private readonly _options;
    constructor(_options: FileDataSourceOptions);
    getFactory(): (ldClientContext: LDClientContext, featureStore: LDFeatureStore, initSuccessHandler?: VoidFunction, errorHandler?: FileDataSourceErrorHandler) => subsystem.LDStreamProcessor;
}
//# sourceMappingURL=FileDataSourceFactory.d.ts.map