import { PersistentStoreDataKind, SerializedItemDescriptor } from '../api/interfaces';
/**
 * The public interface doesn't have a serialize method, but for internal use we want to be
 * able to serialize items. Additionally we also need priority internally for sorting
 * kinds.
 */
export type PersistentStoreDataKindInternal = PersistentStoreDataKind & {
    serialize: (data: any) => SerializedItemDescriptor;
    priority: number;
};
/**
 * Map namespace to a persistent store kind.
 */
export declare const persistentStoreKinds: Record<string, PersistentStoreDataKindInternal>;
//# sourceMappingURL=persistentStoreKinds.d.ts.map