import { KindKeyedStore } from '../api/interfaces/persistent_store/PersistentDataStore';
import PersistentStoreDataKind from '../api/interfaces/persistent_store/PersistentStoreDataKind';
import { LDFeatureStoreDataStorage } from '../api/subsystems';
/**
 * For non-atomic stores we want to insert items in an order that no items exist
 * in the store before their dependencies. Segments before flags, because flags
 * are dependent on segments. For flags we want to insert them such that no flags are
 * added before the prerequisites of those flags.
 *
 * Segments can also depend on other segments, but a segment will not be accessed
 * if there are no flags.
 */
export default function sortDataSet(dataMap: LDFeatureStoreDataStorage): KindKeyedStore<PersistentStoreDataKind>;
//# sourceMappingURL=sortDataSet.d.ts.map